Subject: Re: PowerBook5,4 -- no sound?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 17 Apr 2006 06:43:53 +1000

On Sun, 2006-04-16 at 17:49 +0200, Andreas Schwab wrote:
> Paul Collins <[email-masked]> writes:
> 
> > With Linus's current git plus the boot fix and some unrelated patches
> > (console font and bluetooth) sound no longer seems to work (nothing in
> > /proc/asound/cards), although snd-powermac loaded without complaint.
> > Is this a known problem?
> 
> Sound doesn't work here on PowerMac7,3 either, it even oopses during
> module loading.

Same reply... load i2c-powermac before snd-powermac. It's a bug in the
sound driver, but I can't be bothered fixing it at this point, better to
concentrate on the new snd-aoa and adapting it to work on all machines.

Ben.